石鑫华视觉论坛微信公众号:石鑫华视觉

 找回密码
 注册会员
查看: 571|回复: 0

[LV工具模块] LabVIEW 2023 Q1 FPGA Module Win11 64bitEng LV2023Q1FPGA模块23.1英文版64位

[复制链接]
  • TA的每日心情
    开心
    12 小时前
  • 签到天数: 3237 天

    连续签到: 107 天

    [LV.Master]2000FPS

     楼主| 发表于 2023-3-16 14:20:40 | 显示全部楼层 |阅读模式 来自:广东省东莞市 电信

    注册登陆后可查看附件和大图,以及购买相关内容

    您需要 登录 才可以下载或查看,没有账号?注册会员

    x
    LabVIEW 2023 Q1 FPGA Module Win11 64bitEng LV2023Q1FPGA模块23.1英文版64位

    NI LabVIEW FPGA模块可帮助您开发和调试自定义硬件逻辑,并部署到NI FPGA硬件上。
    LabVIEW FPGA是LabVIEW的一个软件附件,您可以通过高度集成的开发环境、IP库、高保真模拟器和调试功能,更高效地设计基于FPGA的系统。您可以创建FPGA VI,将I/O直接访问与用户定义的LabVIEW逻辑相结合,为数字协议通信、硬件在环仿真和快速控制原型等应用定义自定义硬件。虽然LabVIEW FPGA模块包含许多内置信号处理程序,但您也可以集成现有的硬件描述语言(HDL)代码以及第三方IP。

    FPGA从2018版开始,提供64位版本和32位版本,之前的则只有32位版本。64位版本的,仅有英文版。32位版本的,则通常会有英文版、日文版、中文版等。本论坛大部分的日文版不提供下载(有少数几个没有找到中文版的有提供日文版)。部分年代版本的,则没有中文版的资源,请使用英文版。

    Windows系统下(Linux和MAC系统下请自行了解清楚)NI的各种软件、模块、工具包、驱动程序,使用NI许可证管理器来激活的,绝大部分的都可以使用NI Lincense Activator来激活:NI序列号Serial Number生成激活工具NI License Activator,LabVIEW/VBAI/VDM/VAS等软件模块工具包破解工具不限版本http://visionbbs.com/thread-490-1-1.html

    视觉论坛的各种NI资源,除了视觉相关的模块有使用外,大部分的都不会使用,仅提供资源不提供技术支持。资源的下载地址一般会同时提供NI官方和百度网盘的地址。某些工具包NI地址失效或没有NI地址,只能使用百度网盘地址;如果百度网盘地址失效过期,可联系论坛客服更新。NI的服务器在美国,有时候速度很慢或下载容易出错,这样会造成安装时各种错误而无法安装。建议在下载完成后,对下载资源做校验和(NI一般会提供MD5或SHA256等)验证,与官方或视觉论坛提供的校验和对比,一致就可以安装;如不一致,则需要重新下载。视觉论坛早期下载上传的资源,基本上都是正常下载的资源;2019后下载的资源,都与NI的正确校验和对比过,保证是正确的资源才上传到百度网盘。校验和工具下载地址:文件Hash计算器FHash,文件校验和验证下载文件正确性验证,MD5值计算、SHA1值计算、SHA256值计算、CRC32值计算http://visionbbs.com/thread-26524-1-1.html

    LabVIEW 2023 Q1 FPGA Module
    发布日期:2023/2/6
    包含的版本:2023Q1完整版,版本号23.1.0
    受支持的操作系统:
    Windows 11
    Windows Server 2022 64-bit
    Windows 10 64-bit
    Windows Server 2016 64-bit
    Windows Server 2019 64-bit
    语言:English
    应用程序位数:64位
    校验和:
    文件大小: 462057472 字节 (440.65 MB)
    修改日期: 2023-02-07 21:52
    MD5: 34d43a0d58d202ed27f888d150c36475
    SHA1: 4809fa3293305ca39df2061a2a7efd49aaa41e70
    SHA256: 65a33d5e6e021a45c72128fcbb3d1dcab4ff53f9ec17c438eff3fbbc34b013fb
    CRC32: ff27c916

    百度网盘和NI官方下载地址:
    请注册登录视觉论坛会员,购买附件查看
    FPGA2023Q1x64Eng.txt (596 Bytes, 下载次数: 1, 售价: 10 元)

    LabVIEW 2023 Q1 FPGA Module Readme
    January 2023
    This file contains installation instructions and compatibility information for LabVIEW 2023 Q1 FPGA Module.
    You can find more release information on ni.com.
    • LabVIEW FPGA Module Release Notes: Known issues, bugs fixed since the last release, and other notes about this release
    • LabVIEW FPGA Module Documentation: New features, behavior changes, and other documentation

    System Requirements
    Installation Instructions
    Product Security and Critical Updates
    FPGA Module (64-Bit)
    Upgrade and Compatibility Issues
    Accessing the Documentation
    Finding Examples
    Automating the Installation of NI Products
    Using NI Software with Microsoft Windows 11
    Unsupported Windows Operating Systems

    System RequirementsFPGA Module System Requirements
    The development computer is a PC or NI PXI/PXI Express system on which you install LabVIEW and the FPGA Module. You can also install the Xilinx compilation tools on your development computer to compile LabVIEW FPGA VIs locally. However, if the FPGA design or target requires more than 2 GB of memory, NI recommends you install the Xilinx compilation tools on a separate computer. This computer is referred to as the remote compile worker.
    Visit ni.com/info and enter the Info Code XilinxCompileTools for more information about the NI hardware supported by each Xilinx compilation tool.
    The development computer must meet the following system requirements:
    • LabVIEW 2023 Q1 Full or Professional Development Systems
    • 1.2 GHz Pentium processor or equivalent
    • 3 GB of additional disk space
    • Memory1:
      • At least 3 GB of RAM for Virtex-5 and earlier FPGA targets
      • At least 4 GB of RAM for Virtex-6 and later FPGA targets
    • One of the following operating systems:
      • Windows 11
      • Windows 10
      • Windows Server 2022
      • Windows Server 2019
      • Windows Server 2016
    • NI FPGA device
    • Device driver software—To program most devices with the LabVIEW FPGA Module, install the device driver software. Refer to the hardware documentation for requirements for a specific device.
    1 Memory requirements vary according to both the FPGA target and the FPGA VI you create for that target.
    Refer to the LabVIEW Readme for additional system requirements and supported operating systems for LabVIEW.
    FPGA Compile Farm Server System Requirements
    If you install the FPGA Compile Farm Server on a separate computer, you can configure that computer to be a remote compile farm server. If you install the Xilinx compilation tools on a separate computer, you can configure that computer to be a remote compile worker.
    Refer to the Setting Up a Remote Compile Farm Server or Compile Worker section of this document for information about setting up and using a local or remote compile farm server or compile worker. Visit ni.com/info and enter the Info Code XilinxCompileTools for more information about the NI hardware supported by each Xilinx compilation tool.
    You can use either a Windows or Linux computer as a compile worker. Refer to the Xilinx Compilation Tools Readme for information about the minimum system requirements.
    The remote compile farm server must meet the following minimum system requirements:
    • 35 MB of disk space
    • 1 GB RAM
    • One of the following operating systems:
      • Windows 11
      • Windows 10
      • Windows Server 2022
      • Windows Server 2019
      • Windows Server 2016
    • Web browser that supports Microsoft Silverlight for accessing compile job queues via the NI Web-based Configuration & Monitoring Service FPGA Compile Farm Console
    Installation Instructions
    This section provides information about installing the FPGA Module and related components.
    Note  If you are upgrading from a previous version of LabVIEW, you must install the LabVIEW 2023 Q1 FPGA Module before mass-compiling existing FPGA VIs. Otherwise, some FPGA-specific VIs might have mutation issues.
    Installing the FPGA Module on a Development Computer
    Download the FPGA Module installer from ni.com/downloads. NI software includes NI Package Manager to handle the installation. Refer to the NI Package Manager Manual for more information about installing, removing, and upgrading NI software using NI Package Manager.
    To install LabVIEW and the FPGA Module using the LabVIEW Platform media, complete the following steps:
    • Log in as an administrator or as a user with administrative privileges.
    • Insert the LabVIEW Platform media. To request additional LabVIEW Platform media, refer to the NI website. If you purchased this product with an NI Software Suite or NI Product Bundle, use the installation media that shipped with your purchases to install this product.
    • Follow the instructions on the screen to install and activate the following software in this order:
      • LabVIEW
      • FPGA Module
      • (Optional) LabVIEW Real-Time Module—Use the LabVIEW Real-Time Module to program the real-time OS on NI PXI, NI PXI Express, NI CompactRIO, and NI Single-Board RIO devices. You have a temporary license for this product.
      • Xilinx Compilation Tools—Install these compilation tools on the development computer if you want to compile your LabVIEW FPGA VIs locally. You must install these tools on your development computer if you plan to use the Configure Component-Level IP wizard, configure the IP Integration Node, incorporate Xilinx IP, or use third-party simulation. Refer to your hardware documentation for information about the FPGA chip in your device and install the appropriate set of tools. Visit ni.com/info and enter the Info Code XilinxCompileTools for more information about the NI hardware supported by each Xilinx compilation tool.
        • Xilinx Compilation Tools for Windows—Install these compilation tools if you will compile your FPGA VIs on a Windows computer. The recommended compilation tool for Windows is Vivado 2021.1. ISE Compilation tools are NOT supported on Windows 10.
        Note  To configure the IP Integration Node, or use the Configure Component-Level IP wizard on Virtex-II devices, you also must install the Xilinx Compilation Tool for ISE 14.7. Xilinx IP and simulation exports are not supported on Virtex-II FPGA devices.
      • (Optional) FPGA Compile Farm Server—Use the FPGA Compile Farm Server to distribute FPGA VI compile jobs across multiple remote computers.

        Note  Use the LabVIEW FPGA Compile Cloud Service to increase the development efficiency by offloading compile jobs to multiple computers in a cloud environment.
      • Device Driver—Device drivers contain driver software for most FPGA targets. Refer to your FPGA target hardware documentation for information about additional or different device drivers you need.

    In addition to installing program files and documentation in the LabVIEW directory, the installer also puts files from Xilinx in the x:\NIFPGA directory, where x is the drive on which you installed LabVIEW. The FPGA Module uses these files to compile FPGA VIs into code that runs on an FPGA target.
    Setting Up a Remote Compile Farm Server or Compile Worker
    You can use the LabVIEW Platform media to install the FPGA Compile Farm Server to offload compiles to dedicated computer. You must install the FPGA Compile Farm Server separately on any remote machine that you want to use to manage your compilations. Also, you must install the Xilinx compilation tools on any machine that you want to use as a remote compile worker. Visit ni.com/info and enter the Info Code XilinxCompileTools for more information about the NI hardware supported by each Xilinx compilation tool.
    • Windows—Visit ni.com/info and enter the Info Code FPGAkb1rcs for information about setting up the FPGA compile farm server on a remote computer.
    • Linux—Refer to the FPGA Module Xilinx Compilation Tools for Linux Readme for information about setting up a remote compile worker.
    NI also offers the LabVIEW FPGA Compile Cloud Service to increase the development efficiency by offloading compile jobs to multiple computers in a cloud environment. Visit ni.com/trycompilecloud for information about the LabVIEW FPGA Compile Cloud.
    Product Security and Critical Updates
    Visit ni.com/security to view and subscribe to receive security notifications about NI products. For information about critical updates from NI, refer to Available Critical and Security Updates for NI Software.
    FPGA Module (64-Bit)
    The FPGA Module (64-bit) provides access to more memory than the FPGA Module (32-bit) can provide. The FPGA Module (64-bit) is available in English only.
    Supported Hardware
    Visit FPGA Target Support for the LabVIEW FPGA Module 64-bit for information about the NI hardware devices supported by the FPGA Module.
    You cannot use an unsupported device with the FPGA Module (64-bit) or run example VIs that require an unsupported device in the FPGA Module (64-bit). Refer to the specific hardware documentation for more information about compatibility with the FPGA Module (64-bit).
    Upgrade and Compatibility Issues
    If you upgrade from the LabVIEW 2019 FPGA Module or later to the LabVIEW 2023 Q1 FPGA Module, you might encounter the following compatibility issues:
    Vivado Version Upgrade—The Vivado compilation tool version is upgraded from 2019.1 to 2021.1. The following are the changes and compatibility issues:
    • UHD-SDI Audio is no longer supported on targets with Xilinx Kintex-7, Virtex-7, Zynq, and Zynq UltraScale+ series FPGA.
    • DSP48 Macro has been renamed to DSP Macro.
    • The following functions are no longer available on the Xilinx IP palette:
      • Color Correction Matrix
      • Color Filter Array Interpolation
      • Gamma Correction
      • Image Enhancement
      • RGB to YCrCb Color-Space Converter
      • Video On Screen Display
      • YCrCb to RGB Color-Space Converter
    • If you open a VI saved in a previous version of LabVIEW that contains an IP Integration Node or Xilinx IP node, complete the following steps to regenerate or reconfigure files.
      IP Integration Node
      Xilinx IP Node

      • Regenerate support files for the IP by selecting Tools»FPGA Module»Regenerate IP Integration Node Support Files from LabVIEW and following the on-screen instructions.
        Note  If LabVIEW fails to update all support files, re-add the IP Integration Node to the VI and generate the support files for the IP Integration Node.
      • If the IP Integration Node contains Xilinx Vivado IP configuration (.xci) files, continue with the following steps:
        • Regenerate the Xilinx Vivado IP configuration (.xci) files in the latest Xilinx compilation tools for Vivado.
        • Re-add the configuration files to the IP Integration Node.
        • Re-add the IP Integration Node to the VI.
        • Generate the support files for the IP Integration Node.

      • Regenerate support files for the Xilinx IP node by selecting Tools»FPGA Module»Regenerate IP Integration Node Support Files from LabVIEW and following the on-screen instructions.
      • Verify the behavior of the Xilinx IP node.
      • Reconfigure the Xilinx IP node if its behavior has changed.
      Upgrading the FPGA Module requires you to upgrade to a new version of the Xilinx compilation tools. This upgrade can change the timing or resource utilization characteristics of FPGA VIs you developed in previous versions or cause these VIs to fail to compile. NI recommends that you test all FPGA designs after upgrading.

    Accessing the Documentation
    Refer to the LabVIEW Help, accessible by selecting Help»LabVIEW Help from LabVIEW, for information about the FPGA Module.
    Finding Examples
    Select Help»Find Examples from LabVIEW to launch the NI Example Finder. You can modify an example VI to fit an application, or you can copy and paste from one or more examples into a VI that you create.
    Automating the Installation of NI Products
    You can automate the installation of most NI products using command-line arguments to suppress some or all of the installer user interface and dialog boxes.
    If the NI product you are installing uses Microsoft .NET 4.6.2, the .NET installer may run before any NI software installs and may require a reboot before the installation of NI software begins. To avoid a .NET reboot, install .NET 4.6.2 separately before you install NI software.
    For more information about automating the installation of NI products, refer to Automating an Installer in the NI Package Manager manual.
    Using NI Software with Microsoft Windows 11
    Microsoft Windows 11 is the latest version of the Windows operating system and features significant changes compared to previous versions. For more information about NI support for Windows 11, refer to NI Product Compatibility for Microsoft Windows 11.
    Unsupported Windows Operating Systems
    LabVIEW FPGA Module no longer supports Windows Vista/XP/7/8.x, Windows Server 2003/2008/2012, or any 32-bit Windows operating system. Versions of this product that ship after May 1, 2021, may not install or execute correctly on these operating systems. For detailed information about NI operating system support, visit https://www.ni.com/r/win32bitsupport.
    回复

    使用道具 举报

    您需要登录后才可以回帖 登录 | 注册会员

    本版积分规则

    LabVIEW HALCON图像处理入门教程(第二版)
    石鑫华机器视觉与LabVIEW Vision图像处理PDF+视频教程11种全套
    《LabVIEW Vision函数实例详解》教程-NI Vision所有函数使用方法介绍,基于NI VISION2020,兼容VDM21/22/23
    LabVIEW图像处理教程
    机器视觉商城淘宝店铺
    视觉论坛充值赞助方法

    QQ|石鑫华视觉论坛 |网站地图

    GMT+8, 2024-6-18 21:09

    Powered by Discuz! X3.4

    © 2001-2024 Discuz! Team.

    快速回复 返回顶部 返回列表